Bug 1324001 - livemedia-creator .ks examples not work
Summary: livemedia-creator .ks examples not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-05 10:20 UTC by dearfriend
Modified: 2016-05-18 02:53 UTC (History)
2 users (show)

Fixed In Version: lorax-23.21-1 lorax-23.21-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-18 02:53:01 UTC
Type: Bug


Attachments (Terms of Use)
program.log (4.00 KB, text/plain)
2016-04-05 10:20 UTC, dearfriend
no flags Details
./anaconda/anaconda.log (64.54 KB, text/plain)
2016-04-05 10:31 UTC, dearfriend
no flags Details

Description dearfriend 2016-04-05 10:20:28 UTC
Created attachment 1143741 [details]
program.log

lorax.x86_64 23.20-1.fc23 @updates-testing

1.  --url should be replaced 'development/23' to 'releases/23/Everything'
2. When try to use /usr/share/doc/lorax/fedora-minimized.ks

11:44:11,151 INFO anaconda: Running kickstart %%post script(s)
11:44:15,553 ERR anaconda: Error code 1 running the kickstart script at line 59

3. When all lines down from 59 are deleted:

2016-04-05 12:27:01,580: dracut args = ['--xz', '--add', 'livenet dmsquash-live convertfs pollcdrom', '--omit', 'plymouth', '--no-hostonly', '--debug']
Traceback (most recent call last):
  File "/usr/sbin/livemedia-creator", line 1244, in <module>
    main()
  File "/usr/sbin/livemedia-creator", line 1175, in main
    result_dir = make_livecd(opts, mount_dir, work_dir)
  File "/usr/sbin/livemedia-creator", line 497, in make_livecd
    tb.rebuild_initrds(add_args=dracut_args)
  File "/usr/lib/python3.4/site-packages/pylorax/treebuilder.py", line 270, in rebuild_initrds
    kernels = [kernel for kernel in self.kernels if hasattr(kernel, "initrd")]
  File "/usr/lib/python3.4/site-packages/pylorax/treebuilder.py", line 270, in <listcomp>
    kernels = [kernel for kernel in self.kernels if hasattr(kernel, "initrd")]
  File "/usr/lib/python3.4/site-packages/pylorax/base.py", line 58, in __getattr__
    return self[attr]
KeyError: 'initrd'


Executed command was 'livemedia-creator --make-iso --no-virt --ks=./fedora-minimized.ks'

Comment 1 dearfriend 2016-04-05 10:31:35 UTC
Created attachment 1143742 [details]
./anaconda/anaconda.log

Comment 2 Brian Lane 2016-04-05 17:31:53 UTC
This commit should fix that:

https://github.com/rhinstaller/lorax/commit/926a7f6b16fb34c9b6aa335e8e6a4cd742bdc22e

There are also a couple other issues:

1. when using --no-virt the cleanup (using anaconda-cleanup) will try unmounting system mounts and swaps. Sorry about that, it will be fixed in the next build.

2. Making an iso from the minimal and mimimized examples may not work like you expect since those are meant as disk image examples. Use the fedora-livemedia.ks as a base for live iso creation.

Comment 3 dearfriend 2016-04-06 09:53:48 UTC
I replaced /usr/bin/image-minimizer with the one from github. But it is still trying to umount all.

Comment 4 Brian Lane 2016-04-11 16:33:11 UTC
Right, the unmount problem is fixed in lorax not the minimizer script. I'll be doing new builds with these fixes this week.

Comment 5 dearfriend 2016-04-16 15:58:15 UTC
I added "dracut-live" in %packages section of fedora-minimized.ks  and now it works with --make-iso --no-virt.

Comment 6 Fedora Update System 2016-04-18 18:45:17 UTC
lorax-23.21-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-88778482ea

Comment 7 Fedora Update System 2016-04-20 14:53:11 UTC
lorax-23.21-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-88778482ea

Comment 8 Fedora Update System 2016-05-18 02:52:59 UTC
lorax-23.21-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.